Hi Robert,
Still a small thing to fix following [1] it seems, although it may only impact old systems.
On ubuntu 14.04 with libsuitesparse-dev 1:4.2.1-3ubuntu1 it gives:
/FlowBoundingSphereLinSolv.ipp:100:6: error: ‘cholmod_common’ has no member named ‘useGPU’//
//  com.useGPU=1; //useGPU;/

On the other hand cmake is returning:
-- Disabled features: CHOLMOD_GPU

So an obvious solution was to add a #if (CHOLMOD_GPU == 1) before the useGPU line [1].
It seems to fix the compile problem. Does it seem ok for you?

Just to be sure: useSolver=3 will use cholmod through eigen and useSolver=4 will use cholmod directly. It is correct? Did you compare useSolver=3 and useSolver=4 without gpu? They should be nearly the same.

Cheers

Bruno


[1] https://github.com/yade/trunk/commit/60342f55f196bce752897b87ab539a1c2fbf309e

_______________________________________________
Mailing list: https://launchpad.net/~yade-dev
Post to     : yade-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~yade-dev
More help   : https://help.launchpad.net/ListHelp

Reply via email to